### Requirements
- Minecraft `>1.19.2`
- [Fabric Loader](https://fabricmc.net/) `>0.14.8` or the equivalent [Quilt](https://quiltmc.org/) version
- [ModMenu](https://github.com/TerraformersMC/ModMenu) `>4.0.0`  
- Though not strictly required, ModMenu is the only way to access the configuration UI.  

### Elements 
FabriHUD provides a variety of HUD "elements" These include:
- In-game time 
- Player Coordinates
- Server Latency (Ping)
- FPS 
- Current Biome  
  
It's pretty easy to add more, so if you want something custom, chances are I'd be willing to add it (within reason though).  
  
#### Customizability 
Each element can be toggled on and off and positioned independently wherever you want.   

#### Overrides 
"Overrides" allow you to further customize the output, including colors, base text, and more.   
More information about element overrides can be found [here](https://github.com/trainb0y/FabriHUD/blob/main/Overrides.md).  
  
### Contributions 
All contributions are welcome, including translations. The source code is licensed under MIT.  
If you have a feature request or run into an issue, please report it on the [GitHub](https://giithub.com/trainb0y/FabriHUD). For help join [the Discord](https://discord.gg/PPCvtMTXvP).  

Thanks to [Configurate](https://github.com/SpongePowered/Configurate) and [SpruceUI](https://github.com/LambdAurora/SpruceUI) for the exellent libraries.
#### Disclaimer: This is my first real attempt at making a mod, so I make no promises to code quality and best practices. However, if issues arise I'll do my best to fix them.

### Screenshots

![Default HUD Elements](https://cdn.modrinth.com/data/JW9YUcl3/images/d5b475951f018133b9ef2e36f53086fd0386bee6.png)
![A little more crazy](https://cdn.modrinth.com/data/JW9YUcl3/images/48b124c03634e79ac630bf9143e6d0f8dc09d297.png)
